%define      debug_package  %{nil}


Name:		dockmanager
Version:	0.1.0
Release:	%mkrel 2

Summary:	dock-independent helper scripts
License:	GPL
Group:		Development/Other
URL:		https://launchpad.net/dockmanager
Source0:	%name-%version.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libdesktop-agnostic-devel
BuildRequires:	libglib2.0-devel
Requires:	libdesktop-agnostic 
Requires:	python-mpd
Requires:	mutagen


%description
This project contains dock-independent helper scripts, which add functionality
to any dock implementing the DockManager DBus interface specification.

%package -n	python-%name
Summary:	Python packages
Group:		Development/Python
BuildRequires:  python-gobject-devel
BuildRequires:  libpython-devel
Requires:  	python
Requires:  	python-dbus
Requires:  	python-gobject
Requires:	dockmanager = %{version}


%description -n	python-%name
This package contains the python files.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}

%makeinstall_std


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING AUTHORS
%_bindir/dockmanager-settings
%_sysconfdir/gconf/schemas/*.schemas
%_datadir/dbus-1/*
%_datadir/%name/*
%_libdir/dockmanager-daemon

%files -n python-%name
%defattr(-,root,root)
%{python_sitelib}/*


%changelog
* Fri Aug 16 2013 billybot <billybot> 0.1.0-2pclos2013
- update python 2.7

* Mon Oct 15 2012 Neal <nealbrks0 at gmail dot com> 0.1.0-1pclos2012
- process

* Sun Oct 14 2012 Ken <lxgator at gmail.com> 0.1.0-1pclos2012
- initial build
